%define prefix   /usr
%define major 0
%define minor 31
%define patch 7

Summary: Generates ASCII tractors
Name: tractorgen
Version: %{major}.%{minor}.%{patch}
Release: 1
Copyright: GNU General Public Licence
URL: http://vergenet.net/~conrad/software/tractorgen/
Packager: Horms <horms@vergenet.net>
Group: Applications/System
Source0: http://vergenet.net/~conrad/software/tractorgen/dl/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%name-%{version}-root
Docdir: %{prefix}/doc
Provides: %{name}-%{version}

%description
This program generates ASCII tractors using the universal tractor
coefficient (TC). The intended audience is practical ASCII tractor
theorists and lay people interested in abstract tractor theory. 

Before using this program, ensure that you understand the fundamental
theorem of ASCII tractor mechanics: 

       "ASCII Tractors must have at least four wheels." [1] 

Note that this theorem applies to side-on views. No useful models of
two-sided ASCII tractors have been found, nor is there
even any concrete proof of their existence. 

In keeping with this theorem, TRACTORGEN will politely inform the user if
any attempt to make tractors with less than four
wheels is made (by calling abort(2) and dumping core). 

%prep
%setup 


%build

%configure

CFLAGS="${RPM_OPT_FLAGS}" make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}
make prefix=$RPM_BUILD_ROOT%{prefix} install

#File finding code thanks to Samuel Flory of VA Linux Systems
cd ${RPM_BUILD_ROOT}
# Directories
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' \
  > ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files
# Files
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' \
  >> ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files
# Symbolic links
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' \
  >> ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files


%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT
rm ${RPM_BUILD_DIR}/%{name}-%{version}-%{release}.files


%post

%postun

%preun

%doc README COPYING AUTHORS NEWS ChangeLog
%files -f ../%{name}-%{version}-%{release}.files


%changelog
* Mon Apr 17 2000 Horms <horms@vergenet.net>
- created for version 0.31.7
